> ## Documentation Index
> Fetch the complete documentation index at: https://docs.luminpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay an invoice (public, no auth required)



## OpenAPI

````yaml /openapi.json post /invoices/public/{reference}/pay
openapi: 3.0.0
info:
  title: LuminPay API
  description: Stablecoin merchant payments.
  version: '0.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /invoices/public/{reference}/pay:
    post:
      tags:
        - Invoices
      summary: Pay an invoice (public, no auth required)
      operationId: InvoicesController_pay
      parameters:
        - name: reference
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''

````